<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddColumnTo1ProductionOrderTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('production_order', function (Blueprint $table) {
            //
            $table->string('type_of_process')->nullable();
            $table->integer('completed_qty')->nullable();
            $table->bigInteger('last_modified_by')->nullable()->unsigned();
            $table->foreign('last_modified_by')->references('id')->on('users');
            $table->string('production_process_no')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
